<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.unis.crk.cplbusiness.mapper.LiOrderMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.unis.crk.cplbusiness.entity.LiOrder">
                    <id column="ID" property="id" />
                    <result column="CREATE_BY" property="createBy" />
                    <result column="CREATE_TIME" property="createTime" />
                    <result column="DELETE_FLAG" property="deleteFlag" />
                    <result column="UPDATE_BY" property="updateBy" />
                    <result column="UPDATE_TIME" property="updateTime" />
                    <result column="CAN_RETURN" property="canReturn" />
                    <result column="CANCEL_REASON" property="cancelReason" />
                    <result column="CLIENT_TYPE" property="clientType" />
                    <result column="COMPLETE_TIME" property="completeTime" />
                    <result column="CONSIGNEE_ADDRESS_ID_PATH" property="consigneeAddressIdPath" />
                    <result column="CONSIGNEE_ADDRESS_PATH" property="consigneeAddressPath" />
                    <result column="CONSIGNEE_DETAIL" property="consigneeDetail" />
                    <result column="CONSIGNEE_MOBILE" property="consigneeMobile" />
                    <result column="CONSIGNEE_NAME" property="consigneeName" />
                    <result column="DELIVER_STATUS" property="deliverStatus" />
                    <result column="DISCOUNT_PRICE" property="discountPrice" />
                    <result column="FLOW_PRICE" property="flowPrice" />
                    <result column="FREIGHT_PRICE" property="freightPrice" />
                    <result column="GOODS_NUM" property="goodsNum" />
                    <result column="GOODS_PRICE" property="goodsPrice" />
                    <result column="LOGISTICS_CODE" property="logisticsCode" />
                    <result column="LOGISTICS_NAME" property="logisticsName" />
                    <result column="LOGISTICS_NO" property="logisticsNo" />
                    <result column="LOGISTICS_TIME" property="logisticsTime" />
                    <result column="MEMBER_ID" property="memberId" />
                    <result column="MEMBER_NAME" property="memberName" />
                    <result column="NEED_RECEIPT" property="needReceipt" />
                    <result column="ORDER_STATUS" property="orderStatus" />
                    <result column="ORDER_TYPE" property="orderType" />
                    <result column="PARENT_ORDER_SN" property="parentOrderSn" />
                    <result column="PAY_ORDER_NO" property="payOrderNo" />
                    <result column="PAY_STATUS" property="payStatus" />
                    <result column="PAYMENT_METHOD" property="paymentMethod" />
                    <result column="PAYMENT_TIME" property="paymentTime" />
                    <result column="PRICE_DETAIL" property="priceDetail" />
                    <result column="PROMOTION_ID" property="promotionId" />
                    <result column="REMARK" property="remark" />
                    <result column="STORE_ID" property="storeId" />
                    <result column="STORE_NAME" property="storeName" />
                    <result column="SN" property="sn" />
                    <result column="TRADE_SN" property="tradeSn" />
                    <result column="WEIGHT" property="weight" />
                    <result column="QR_CODE" property="qrCode" />
                    <result column="UPDATE_PRICE" property="updatePrice" />
                    <result column="DISTRIBUTION_ID" property="distributionId" />
                    <result column="DELIVERY_METHOD" property="deliveryMethod" />
                    <result column="USE_PLATFORM_MEMBER_COUPON_ID" property="usePlatformMemberCouponId" />
                    <result column="USE_STORE_MEMBER_COUPON_IDS" property="useStoreMemberCouponIds" />
                    <result column="RECEIVABLE_NO" property="receivableNo" />
                    <result column="ORDER_PROMOTION_TYPE" property="orderPromotionType" />
                    <result column="VERIFICATION_CODE" property="verificationCode" />
                    <result column="IS_FH" property="isFh" />
                    <result column="GOODS_NAMES" property="goodsNames" />
                    <result column="UNITID" property="unitid" />
        </resultMap>


</mapper>